Skip to main content
POST
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
/
synchronizations
Request an on-demand synchronization of the directory
curl --request POST \
  --url https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronizations \
  --header 'Authorization: Bearer <token>'
{
  "connection_id": "<string>",
  "synchronization_id": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the connection to trigger synchronization for

Response

The directory synchronization was triggered. See Response Schemas for schema.

connection_id
string
required

The connection's identifier

synchronization_id
string
required

The synchronization's identifier

status
string
required

The synchronization status